<?php

namespace Daylight\Core\Livewire\Store;

use Daylight\Core\Models\Customer;
use Illuminate\Database\Eloquent\Builder;

class CustomerUserTable extends UserTable
{
    public Customer $customer;

    public array $hiddenColumns = [
        'customer',
    ];

    protected function getBaseQuery(): Builder
    {
        return $this->customer->users()->latest()->getQuery();
    }
}
